include ( ../settings.pro )

TEMPLATE = lib
CONFIG += plugin thread warn_on release
TARGET = mythstream
DEFINES += TARGET=\\\"$${TARGET}\\\"
SUBPATH = mythtv/mythstream
DEFINES += SUBPATH=\\\"$${SUBPATH}\\\"

# lists of file extentions to use -playlist option ( .ext1.ext2.ext3 ... )
PLAYLIST = .pls.asx.ram.rm.pls.m3u
DEFINES += PLAYLIST=\\\"$${PLAYLIST}\\\"

target.path = $${PREFIX}/lib/mythtv/plugins
INSTALLS += target
LIBS += -lfftw3f
LIBS += -lexpat

DEFINES += MYTHTV
DEFINES += QT_THREAD_SUPPORT

installfiles.path = $${PREFIX}/share/mythtv/mythstream
installfiles.files = ../libs/streams.res ../libs/storages.res ../libs/player.xml ../README ../misc/tuned.png
installparsers.path = $${PREFIX}/share/mythtv/mythstream/parsers
installparsers.files = ../parsers/*
installdefault_th.path = $${PREFIX}/share/mythtv/themes/default
installdefault_th.files = themes/default/*
installdefaultwide_th.path = $${PREFIX}/share/mythtv/themes/default-wide
installdefaultwide_th.files = themes/default-wide/*
installmenu.path = $${PREFIX}/share/mythtv
installmenu.files = streamconfigmenu.xml

INSTALLS += installfiles installdefault_th installdefaultwide_th installmenu installparsers

# Input
HEADERS += mythstream.h ../libs/storage.h ../libs/storagehandlers.h ../libs/streamstorage.h ../libs/streamconfig.h ../libs/storageconfig.h ../libs/configelements.h ../libs/itemtree.h ../libs/streambrowser.h ../libs/streamstatus.h ../libs/playerencap.h ../libs/harvester.h ../libs/fft.h ../libs/recorder.h ../libs/speechproc.h ../libs/x11win.h
SOURCES += main.cpp mythstream.cpp ../libs/storage.cpp ../libs/storagehandlers.cpp ../libs/streamstorage.cpp ../libs/streamconfig.cpp ../libs/storageconfig.cpp ../libs/configelements.cpp ../libs/itemtree.cpp ../libs/streambrowser.cpp ../libs/streamstatus.cpp ../libs/playerencap.cpp ../libs/harvester.cpp ../libs/fft.cpp  ../libs/recorder.cpp ../libs/speechproc.cpp ../libs/x11win.cpp

QMAKE_CLEAN = libmythstream.so ../Makefile ./Makefile

#The following line was inserted by qt3to4
QT += xml  sql qt3support 

