-- MySQL dump 10.13  Distrib 5.1.37, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: mythconverg
-- ------------------------------------------------------
-- Server version	5.1.37-1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `streams`
--

DROP TABLE IF EXISTS `streams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `streams` (
  `folder` varchar(100) NOT NULL,
  `name` varchar(100) NOT NULL,
  `url` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `handler` varchar(50) DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `streams`
--

LOCK TABLES `streams` WRITE;
/*!40000 ALTER TABLE `streams` DISABLE KEYS */;
INSERT INTO `streams` VALUES ('Interaction','Apple movie trailers','whatever','trailers','*apple'),('Interaction','Browse Shoutcast genres','http://www.shoutcast.com','','*shoutcast/menu'),('Interaction','Uitzending gemist - laatste uitzendingen (Dutch)','http://www.uitzendinggemist.nl','Uitzending gemist selectie','omroep/menu'),('Interaction','World Wide Media Project','','','*wwmp/menu'),('Interaction','wwiTV list','http://wwitv.com/television/tvbar.htm','List of television stations','wwitv/countries'),('downloads','lost in space','.mythtv/mythstream/downloads/slaveplanet.org/Spaceboss/lostnspace.mp3_temp','http://slaveplanet.org/Spaceboss/lostnspace.mp3',''),('Podcast feeds','Feed me weird things','http://del.icio.us/rss/audio/feedmeweirdthings','(podcast) http://del.icio.us/rss/audio/feedmeweirdthings','rdfcast'),('Podcast feeds','SETI Institute','http://podcast.seti.org/index.xml','podcast','podcast'),('Radio','BBC World Service','http://www.bbc.co.uk/worldservice/meta/tx/nb/live_news_au_nb.ram','International',''),('Radio','DR R&B, Denmark','http://www.dr.dk/netradio/Metafiler/ASX/DR_RogB_128.asx','Copenhagen, Denmark',''),('Radio','Energy Black, Switzerland','http://broadcast.infomaniak.ch/energyblack-high.mp3.m3u','Zurich, Switzerland',''),('Radio','Fun Radio, belgium','http://www.funradio.be/funradiobe-low.high.pls','',''),('Radio','Juventus Radio','http://live.juventus.hu:8000/live.m3u','Budapest, Hungary',''),('Radio','Shoutcast Country','http://yp.shoutcast.com/sbin/newxml.phtml?genre=Country','Country music stations','shoutcast/shoutcast'),('Radio','Shoutcast Trance','http://yp.shoutcast.com/sbin/newxml.phtml?genre=Trance','I hate trance, but rock didn\'t work :)','shoutcast/shoutcast'),('Radio','WGBH, Boston','http://streams.wgbh.org/classical.pls','Boston, Massachusetts',''),('Radio','WholeWheatRadio stream','http://wholewheatradio.org:8000/listen.pls','',''),('TV','Holland Doc','http://www.omroep.nl/live/vprohollanddoc-bb.asx','Nederland 4 themakanaal',''),('Video','YouTube custom search','http://gdata.youtube.com/feeds/api/videos?vq=<:search term::funny:>','For user playlists see e.g. ubeek.com','youtube/search_p'),('TV','NRK News TV','mms://media00.nrk.no/mms2/nydi/AutoEnc/mn1840.wmv','Norwegen',''),('TV','National Nine News TV','mms://broadband.netshow.ninemsn.com.au/broadband/news/story1.wmv','Australia',''),('TV','RBC TV','http://tv.gldn.net:80/rbc','Russia',''),('TV','Tweede Kamer','mms://213.75.12.78/TKStream3','Dutch Parliament',''),('TV','Uitzending gemist RSS feed','http://www.uitzendinggemist.nl/index.php/rss','Laatste uitzendingen','omroep/rss'),('TV','United Nations TV','rtsp://a4.l878435134.c8784.g.lr.akamaistream.net/live/D/4/8784/v0001/reflector:35134','',''),('TV','VPro 3Voor12 Central TV','mms://livemedia.omroep.nl/vpro3voor12tvcentral-bb','http://3voor12.vpro.nl',''),('TV','VPro 3Voor12 on Stage TV','mms://livemedia.omroep.nl/vpro3voor12tvonstage-bb','',''),('TV','YLE 24 News TV','http://ra.yle.fi/ramgen/yle24/video/uusin_rk.rm','Finland',''),('TV','Yomiuri News TV','http://www.yomiuri.co.jp/stream/vnews/vnews-w.asx','Japan',''),('Video','DailyMotion custom search','http://www.dailymotion.com/rss/relevance/search/<:search term::funny:>/<:page::1:>','Edit search term with virtual keyboard','dailymotion/playall'),('Video','DailyMotion playlist demo: Alicia Keys Live','http://www.dailymotion.com/rss/relevance/search/Alicia+Keys+live/1','Mark streams (M) and play','dailymotion/playall'),('Video','Dailymotion download and play: VH1/1','http://www.dailymotion.com/rss/relevance/search/vh1/1','','dailymotion/feed'),('Video','Dailymotion playlist demo: Amy Winehouse','http://www.dailymotion.com/rss/relevance/search/Amy+Winehouse+live/1','Mark streams (M) and play','dailymotion/playall'),('Video','YouTube top viewed today','http://youtube.com/rss/global/top_viewed_today.rss','Voor andere feeds zie youtube','youtube/feed'),('stream lists','Icecast list','http://dir.xiph.org/yp.xml','Harvested with icecast.pl script','icecast'),('stream lists','OperaCast list','http://www.operacast.com/opstations.htm','Stationlist from www.operacast.com','operacast'),('stream lists','Operanut list (default parser)','http://operanut.com/radio.htm','Some dead streams',''),('stream lists','Robins BBC parser','ask the parser :)','BBC parsing by Robin Gilks','*bbc/robins_links'),('downloads','Fuck You George Bush','.mythtv/mythstream/downloads/babel.massart.edu/~jake/audio/mp3/SuxFuckGeorgeBush.mp3_temp','http://babel.massart.edu/~jake/audio/mp3/SuxFuckGeorgeBush.mp3',''),('downloads','unknown unknowns','.mythtv/mythstream/downloads/mediamogul.seas.upenn.edu/pennsound/authors/Whitehead/Various_Bits/Gregory_Whitehead_02_UNKNOWN_UNKNOWNS_(after_a_statement_by_Donald_Rumsfeld).mp3_temp','http://mediamogul.seas.upenn.edu/pennsound/authors/Whitehead/Various_Bits/Gregory_Whitehead_02_UNKNOWN_UNKNOWNS_(after_a_statement_by_Donald_Rumsfeld).mp3',''),('downloads','What Were You Thinking?','.mythtv/mythstream/downloads/dlc.sun.com/seti/podcast/AWA_09-08-31.mp3_temp','http://dlc.sun.com/seti/podcast/AWA_09-08-31.mp3',''),('TV','NASA TV from Yahoo','http://playlist.yahoo.com/makeplaylist.dll?id=1368163','',''),('Video','Google video search','http://video.google.com/videofeed?type=search&q=<:search term::blues:>+site:google.com&so=1&num=50','','google/search'),('Video','Yahoo video search','http://api.search.yahoo.com/VideoSearchService/rss/videoSearch.xml?appid=ysearchblog&query=<:search::Natalie Cole:>+site:yahoo.com&adult_ok=0&results=50','','yahoo/search');
/*!40000 ALTER TABLE `streams` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2009-09-03  1:35:50
