CONFIG += debug
#CONFIG += release

VERSION=0.18_3

# Where binaries, includes and runtime assets are installed by 'make install'
isEmpty( PREFIX ) {
    # Install in /usr/share/... or /usr/local/share/... ?
    #PREFIX = /usr/local
    PREFIX = /usr
}
# Where the binaries actually locate the assets/filters/plugins at runtime
isEmpty( RUNPREFIX ) {
    RUNPREFIX = $$PREFIX
}

INCLUDEPATH += $${PREFIX}/include
INCLUDEPATH += $${PREFIX}/include/mythtv
INCLUDEPATH += $${PREFIX}/include/mythtv/libmythdb
INCLUDEPATH += $${PREFIX}/include/mythtv/libmythui
INCLUDEPATH += $${PREFIX}/include/mythtv/libmyth

INCLUDEPATH += $${PREFIX}/include/qt4/Qt

#INCLUDEPATH *= /usr/local/include

DEFINES += _GNU_SOURCE
DEFINES += PREFIX=\\\"$${RUNPREFIX}\\\"
DEFINES += VERSION=\\\"$${VERSION}\\\"

QMAKE_LFLAGS -= -Wl,--no-undefined
#QMAKE_LFLAGS -= --no-undefined
QMAKE LFLAGS += -DQT_THREAD_SUPPORT

release {
  QMAKE_CXXFLAGS_RELEASE = -O2 -fomit-frame-pointer
}
